/* 
  Note :
  * rider_id assign & update from BO
  * coupon_id (optional)
  * status number explain : 
    0 pending, (rider can accept order after the order is readied by retailer, product_status == "ready") 
    1 rider accepted,
    2 preparing product,
    3 rider received product and delivering,
    4 rider arrived location
    5 order is complete 
*/

class Order {
  // Initial Value for Order
  final String? description;
  final double price;
  final List<String> productIdList;
  final String userId;

  // Variables below will be queried from database
  final String? id;
  final String? shopName;
  final String? orderStatus;
  final String? riderId;
  final String? riderStatus;
  final List<Map<String, dynamic>>? productList;
  final bool? paid;

  Order({
    required this.price,
    required this.productIdList,
    required this.userId,
    this.description,
    this.id,
    this.productList,
    this.riderId,
    this.shopName,
    this.orderStatus,
    this.riderStatus,
    this.paid,
  });
}
